Subject: Re: [PATCH/Test] Build in merge is broken

From: Junio C Hamano <[email-masked]>
Date: Sun, 13 Jul 2008 12:11:42 -0700

Miklos Vajna <[email-masked]> writes:

> On Sun, Jul 13, 2008 at 07:46:59PM +0200, Miklos Vajna <[email-masked]> wrote:
>> So far what I see is that the input for the reduce_heads() function is
>> (c1, c0, c2, c0, c1). The expected output would be (c1, c2), but the
>> actual output is c2. So I suspect the bug is not in builtin-merge.c
>> itself but in reduce_heads().
>
> This fixes the problem for me. Junio, does the fix looks correct to you
> as well?

You are correct, the "item"s are the highlander (i.e. "there can be only
one") objects but commit-list elements that hold pointers to them are not,
so we need to dereference and compare.

Thanks.